%define name xdu
%define version 3.0
%define release 5mdk

Summary: Graphically display output of du command 
Name: %{name}
Version: %{version}
Release: %{release}
Source: ftp://ftp.arl.mil/pub/%{name}-%{version}.tar.bz2
License: BSD
Group: File tools
Url: http://sd.wareonearth.com/~phil/xdu/
Buildroot: %_tmppath/%{name}-root
BuildRequires: XFree86-devel
Requires: fileutils

%description
Accepts output of du command on standard input and graphically
displays results in a window.

%prep
%setup -c 

%build
xmkmf -a
%make

%install
rm -fr $RPM_BUILD_ROOT

mkdir -p  $RPM_BUILD_ROOT%{_mandir}/man1/
cp %{name}.man $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
%makeinstall_std

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/X11/app-defaults/XDu
%{_prefix}/X11R6/bin/xdu
%{_prefix}/X11R6/lib/X11/app-defaults
#%{_prefix}/X11R6/lib/X11/app-defaults/XDu
%{_mandir}/man1/*
%doc README

%changelog
* Thu Jun 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.0-5mdk
- Rebuild

* Sat Jan 03 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.0-4mdk
- birthday rebuild

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.0-3mdk
- rebuild for rpm and glibc
- add forget config file

* Sun Aug 11 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.0-2mdk
- Add Buildrequires and Requires
- cleanup

* Sun Aug 11 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.0-1mdk
- 1st standalone mdk package

